DEVELOPER

Merchant Management API Specification

Version 1.11.3

production
sandbox

Get List of Equipment

get /merchant-management/equipment/mid/{merchantId}

Get list of all merchant equipment(s) and related information by merchant ID. By default, response includes active equipment only. In order to include inactive equipment, set the optional query param includeInactiveEquipments as true.

Parameters
merchantId required
Type
string
Minimum Length
1
Example
111222333444555

Loading...

includeInactiveEquipments
Type
boolean
Default
false
Example
false

Loading...

Example Response
200 OK - Success response.
401 Unauthorized - Error response.
403 Forbidden - Error response.
500 Internal Server Error - Error response.

Add New Equipment

post /merchant-management/equipment/mid/{merchantId}

Add merchant equipment and related information by merchant ID. Only iso equipment provider, terminal and pinpad equipment types, and setup order type are allowed for adding new equipment. Terminal setting parameters are required when adding terminal equipment type. Pinpad equipment type does not require terminal setting parameters.

Parameters
merchantId required
Type
string
Minimum Length
1
Example
111222333444555

Loading...

Request Schema
equipmentInventoryId required
Type
integer
Example
123456

Loading...

equipmentProvider
Type
string
Default
iso
Enum
iso
Example
iso

Loading...

equipmentStatus
Type
string
Default
active
Enum
active
Example
active

Loading...

equipmentType required
Type
string
Enum
pinpadterminal

Loading...

orderType
Type
string
Default
setup
Enum
setup
Example
setup

Loading...

serialNumber
Type
string
Range
1 to 255 characters
Example
A111B222C333D444E555

Loading...

shipmentTrackingNumber
Type
string
Range
1 to 255 characters
Example
A111B222C333D444E555

Loading...

terminalSettingsParameters
Type
object
Default
null

Loading...

Example Request
{
  "equipmentInventoryId": 123456,
  "equipmentProvider": "iso",
  "equipmentStatus": "active",
  "equipmentType": {
    "enum": [
      "pinpad",
      "terminal"
    ]
  },
  "orderType": "setup",
  "serialNumber": "A111B222C333D444E555",
  "shipmentTrackingNumber": "A111B222C333D444E555",
  "terminalSettingsParameters": null
}
Example Response
200 OK - Success response.
401 Unauthorized - Error response.
403 Forbidden - Error response.
500 Internal Server Error - Error response.

Get Equipment Data by Equipment ID

get /merchant-management/equipment/mid/{merchantId}/equipment-record-id/{equipmentRecordId}

Get details related to specific merchant equipment based on merchant ID and equipment record ID. By default, the response includes active equipment only. In order to include inactive equipment, set the optional query param includeInactiveEquipments as true.

Parameters
merchantId required
Type
string
Minimum Length
1
Example
111222333444555

Loading...

equipmentRecordId required
Type
integer
Example
111222333

Loading...

includeInactiveEquipments
Type
boolean
Default
false
Example
false

Loading...

Example Response
200 OK - Success response.
401 Unauthorized - Error response.
403 Forbidden - Error response.
500 Internal Server Error - Error response.

Update Equipment Data by Equipment ID.

patch /merchant-management/equipment/mid/{merchantId}/equipment-record-id/{equipmentRecordId}

Update details related to specific merchant equipment based on merchant ID and equipment record ID. Only the fields provided in the request body will be updated; all other fields will remain unchanged. Partial updates are supported.

Parameters
merchantId required
Type
string
Minimum Length
1
Example
111222333444555

Loading...

equipmentRecordId required
Type
integer
Example
111222333

Loading...

Request Schema
equipmentProvider
Type
string
Enum
iso
Example
iso

Loading...

equipmentStatus
Type
string
Default
active
Enum
activeinactive
Example
active

Loading...

orderType
Type
string
Enum
setup
Example
setup

Loading...

serialNumber
Type
string
Range
1 to 255 characters
Example
A111B222C333D444E555

Loading...

shipmentTrackingNumber
Type
string
Range
1 to 255 characters
Example
A111B222C333D444E555

Loading...

terminalSettingsParameters
Type
object

Loading...

Example Request
{
  "equipmentProvider": "iso",
  "equipmentStatus": "active",
  "orderType": "setup",
  "serialNumber": "A111B222C333D444E555",
  "shipmentTrackingNumber": "A111B222C333D444E555",
  "terminalSettingsParameters": {
    "baseType": "terminal",
    "batchAutoCloseTime": "0000",
    "batchCloseType": "auto",
    "deploymentProvider": "north",
    "frontendVendor": "epx",
    "isDebitEnabled": true,
    "isEbtEnabled": true,
    "isEpxTicValidationEnabled": true,
    "platform": {
      "enum": [
        "epx"
      ]
    },
    "terminalNumber": "111222333"
  }
}
Example Response
200 OK - Success response.
400 Bad Request - Error response.
401 Unauthorized - Error response.
403 Forbidden - Error response.
500 Internal Server Error - Error response.
©2026 North is a registered DBA of NorthAB, LLC. All rights reserved. North is a registered ISO of BMO Harris Bank N.A., Chicago, IL, Citizens Bank N.A., Providence, RI, The Bancorp Bank, Philadelphia, PA, FFB Bank, Fresno, CA, Wells Fargo Bank, N.A., Concord, CA, and PNC Bank, N.A.